Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.tools.resources.event
Class ResourceEventQueue

    java.lang.Object
      |
      +--org.w3c.tools.resources.event.ResourceEventQueue

public class ResourceEventQueue
extends java.lang.Object

Field Summary
`static boolean` | `debug`

Constructor Summary
`ResourceEventQueue()`

Method Summary
`ResourceEvent` | `getNextEvent()` Get the next Event in the queue, wait if there is no event available in the queue.
`void` | `removeSourceEvents(java.lang.Object source)` Remove all the Events comming from the given source object.
`void` | `sendEvent(ResourceEvent evt)` Send a ResourceEvent in the queue.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### debug

    public static final boolean debug

See Also:
  Constant Field Values

Constructor Detail

### ResourceEventQueue

    public ResourceEventQueue()

Method Detail

### sendEvent

    public void sendEvent(ResourceEvent evt)

  Send a ResourceEvent in the queue.

  Parameters:
    `evt` - The Resource Event to put in the queue.

### getNextEvent

    public ResourceEvent getNextEvent()
                               throws java.lang.InterruptedException

  Get the next Event in the queue, wait if there is no event available in the queue.

  Returns:
    a ResourceEvent instance.
  Throws:
    `java.lang.InterruptedException` - Is unable to get the next event due to some interruption.

### removeSourceEvents

    public void removeSourceEvents(java.lang.Object source)

  Remove all the Events comming from the given source object.

  Parameters:
    `source` - The Object where the events to remove are comming from.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD